/*******************************************************************************
 * Copyright (c) 2008 SAS Institute Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     SAS Institute Inc. - initial API and implementation
 ******************************************************************************/
package org.eclipse.cosmos.me.provisional.deployment.sdd.tooling.btg.aggregator;

public class StringType
{
	public static boolean equals(String s1, String s2)
	{
		if(s1 != null) {
			return s1.equals(s2);
		}
		else {
			return s2 == null;
		}
	}
	public static String merge(String s1, String s2)
	{
		if ((s1==null)&&(s2!=null))
			return s2;
		if ((s1!=null)&&(s2==null))
			return s1;
		if ((s1==null)&&(s2==null))
			return null;
		
		return s1.concat(s2);
	}
}
